/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.ow2.petals.jmx.exception;

/**
 * This exception is thrown if no JMX component associated to a JBI component
 * installer is found.
 * 
 * @author cdeneux - Capgemini Sud
 */
public class InstallerComponentDoesNotExistException extends
    PetalsJMXClientException {

    /**
     * 
     */
    private static final long serialVersionUID = 5936867214905790863L;

    private String componentName = null;

    public InstallerComponentDoesNotExistException(final String componentName) {
        super("The component installer '" + componentName + "' does not exist.");
        this.componentName = componentName;
    }

    public String getComponentName() {
        return componentName;
    }

}
